Bug 79751 - Update: English spelling dictionary & hyphenation
Summary: Update: English spelling dictionary & hyphenation
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta2
Hardware: x86-64 (AMD64) macOS (All)
: medium critical
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 23:30 UTC by jorgequinonez
Modified: 2015-04-01 14:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jorgequinonez 2014-06-06 23:30:28 UTC
In the Extension Manager, the current version is from 2011. In AOO 4.1, its from 2014.
Comment 1 Julien Nabet 2014-06-07 07:37:18 UTC
Thomas: thought you might be interested in this since you had updated some packages.
I checked Hunspell, we use 2.8.4 and http://sourceforge.net/projects/hunspell/files/Hyphen/2.8/ indicates 2.8.6
Comment 2 jorgequinonez 2014-06-07 17:13:55 UTC
Maybe whoever this falls under should put themselves on the mailing list of hunspell (or any other important extension/libraries) so they can be alerted when updates come out. Just a thought. The dictionary that AOO 4.1 apparently is different.
Comment 3 Julien Nabet 2014-06-07 17:18:11 UTC
Andras: I thinkg you might also be interested in this one.
Comment 4 jorgequinonez 2014-06-08 03:35:40 UTC
If you're going to update packages also look into Hunspell 1.3.3:

http://sourceforge.net/projects/hunspell/files/Hunspell/1.3.3/

I reopened bug 34031 (update Hunspell):

https://www.libreoffice.org/bugzilla/show_bug.cgi?id=34031

(In reply to comment #1)
> Thomas: thought you might be interested in this since you had updated some
> packages.
> I checked Hunspell, we use 2.8.4 and
> http://sourceforge.net/projects/hunspell/files/Hyphen/2.8/ indicates 2.8.6
Comment 5 penttila 2014-07-15 14:21:36 UTC
I repeat my comment for bug #34031 here:

Even in that case when all modifications of Hunspell 1.3.3 are included as patches in the used/current version it would be nicer to update the whole library. This would create a clear situation for everybody without any further explanation! Is it such a big work? 

I think the same applies for Hyphen. The last version is 2.8.7!
Comment 6 Owen Genat (retired) 2014-07-19 11:27:08 UTC
(In reply to comment #0)
> In the Extension Manager, the current version is from 2011.

At some point it will presumably have to get updated, thus confirmed. Status set to NEW.
Comment 7 Andras Timar 2014-07-19 11:46:04 UTC
(In reply to comment #0)
> In the Extension Manager, the current version is from 2011. In AOO 4.1, its
> from 2014.

I see only one big difference between AOO 4.1 dictionaries and ours. They have a different en-GB dictionary from 2014. However, I'm not sure, if it is better than ours. It has fewer words in it at least.

As far as I'm concerned, there is no unique, authoritative upstream source of English dictionaries. Please comment here, if you know one.
Comment 8 Owen Genat (retired) 2014-07-20 08:40:36 UTC
(In reply to comment #7)
> I see only one big difference between AOO 4.1 dictionaries and ours. They
> have a different en-GB dictionary from 2014. However, I'm not sure, if it is
> better than ours. It has fewer words in it at least.

Confirmed. There are a few minor diffs for en-AU and en-ZA dictionaries and the en-GB and en-US hyphenation lists but the main change is to the en-GB dictionary and affix files. There is a word count difference, but there is also a difference in the encoding used in each file. The AOO en-GB dictionary uses letter codes e.g. 

> Aachen/M
> aardvark/MS

... while the LO version uses numeric codes:

> Aachen/1
> aardvark/2	1
 
Is this as an incompatible difference? The AOO en-gb dictionary also seems to have sorted the entries differently e.g.,
 
> 'mongst

... and similar contracted entries appear at the beginning of the file, while in the LO version these are sorted according to the first alphabetic.
 
(In reply to comment #7)
> As far as I'm concerned, there is no unique, authoritative upstream source
> of English dictionaries. Please comment here, if you know one.

I always thought it was David Bartlett and Andrew Brown, but I see that the maintenance of the en-GB dictionary over at Pyxidium has long since lapsed:

http://en-gb.pyxidium.co.uk/dictionary/OOo.php

... and that Debian and Ubuntu (at least) list their own development teams as maintainers of the Hunspell / MySpell en-GB dictionaries packages. That is disheartening.
Comment 9 QA Administrators 2015-02-19 04:37:52 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 10 QA Administrators 2015-04-01 14:52:01 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team